Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.project.libraries/1 1.13.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.project.libraries
Interface LibraryProvider

    public interface LibraryProvider

Provider interface for implementing the read only library storage. Library storage is a source of libraries used by LibraryManager. LibraryManager allows existence of multiple LibraryProviders registered in the default lookup.

Field Summary
`static String` | `PROP_LIBRARIES` Name of libraries property

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds property change listener, the listener is notified when the libraries changed
`LibraryImplementation[]` | `getLibraries()` Returns libraries provided by the implemented provider.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes property change listener

Field Detail

### PROP_LIBRARIES

    static final String PROP_LIBRARIES

  Name of libraries property

  See Also:
    Constant Field Values

Method Detail

### getLibraries

    LibraryImplementation[] getLibraries()

  Returns libraries provided by the implemented provider.

  Returns:
    LibraryImplementation[] never return null, may return empty array.

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener listener)

  Adds property change listener, the listener is notified when the libraries changed

  Parameters:
    `listener` -

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener listener)

  Removes property change listener

  Parameters:
    `listener` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.project.libraries/1 1.13.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.